Upstream information

CVE-2017-8291 at MITRE

Description

Artifex Ghostscript through 2017-04-26 allows -dSAFER bypass and remote command execution via .rsdparams type confusion with a "/OutputFile (%pipe%" substring in a crafted .eps document that is an input to the gs program, as exploited in the wild in April 2017.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 7.5
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1036453 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12 SP1
  • ghostscript-mini >= 9.15-22.1
  • ghostscript-mini-devel >= 9.15-22.1
Patchnames:
SUSE-SLE-BSK-12-SP1-2017-659
SUSE-SLE-BSK-12-SP1-2017-866
SUSE Linux Enterprise Build System Kit 12 SP2
  • ghostscript-mini >= 9.15-22.1
  • ghostscript-mini-devel >= 9.15-22.1
Patchnames:
SUSE-SLE-BSK-12-SP2-2017-659
SUSE-SLE-BSK-12-SP2-2017-866
SUSE Linux Enterprise Desktop 12 SP1
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-659
SUSE-SLE-DESKTOP-12-SP1-2017-866
SUSE Linux Enterprise Desktop 12 SP2
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-659
SUSE-SLE-DESKTOP-12-SP2-2017-866
SUSE Linux Enterprise Desktop 12 SP3
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ghostscript
SUSE Linux Enterprise Point of Sale 11 SP3
  • ghostscript-fonts-other >= 8.62-32.46.1
  • ghostscript-fonts-rus >= 8.62-32.46.1
  • ghostscript-fonts-std >= 8.62-32.46.1
  • ghostscript-library >= 8.62-32.46.1
  • ghostscript-omni >= 8.62-32.46.1
  • ghostscript-x11 >= 8.62-32.46.1
  • libgimpprint >= 4.2.7-32.46.1
Patchnames:
sleposp3-ghostscript-library-13109
SUSE Linux Enterprise Server 11 SP3-LTSS
  • ghostscript-fonts-other >= 8.62-32.46.1
  • ghostscript-fonts-rus >= 8.62-32.46.1
  • ghostscript-fonts-std >= 8.62-32.46.1
  • ghostscript-library >= 8.62-32.46.1
  • ghostscript-omni >= 8.62-32.46.1
  • ghostscript-x11 >= 8.62-32.46.1
  • libgimpprint >= 4.2.7-32.46.1
Patchnames:
slessp3-ghostscript-library-13109
SUSE Linux Enterprise Server 11 SP4
  • ghostscript-fonts-other >= 8.62-32.46.1
  • ghostscript-fonts-rus >= 8.62-32.46.1
  • ghostscript-fonts-std >= 8.62-32.46.1
  • ghostscript-library >= 8.62-32.46.1
  • ghostscript-omni >= 8.62-32.46.1
  • ghostscript-x11 >= 8.62-32.46.1
  • libgimpprint >= 4.2.7-32.46.1
Patchnames:
slessp4-ghostscript-library-13086
slessp4-ghostscript-library-13109
SUSE Linux Enterprise Server 12 SP1
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-659
SUSE-SLE-SERVER-12-SP1-2017-866
SUSE Linux Enterprise Server 12 SP2
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-659
SUSE-SLE-SERVER-12-SP2-2017-866
SUSE Linux Enterprise Server 12 SP3
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA ghostscript
SUSE Linux Enterprise Server 12-LTSS
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-SERVER-12-2017-866
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-659
SUSE-SLE-RPI-12-SP2-2017-866
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ghostscript-devel >= 8.62-32.46.1
  • ghostscript-ijs-devel >= 8.62-32.46.1
  • ghostscript-library >= 8.62-32.46.1
  • libgimpprint-devel >= 4.2.7-32.46.1
Patchnames:
sdksp4-ghostscript-library-13086
sdksp4-ghostscript-library-13109
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ghostscript >= 9.15-22.1
  • ghostscript-devel >= 9.15-22.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-659
SUSE-SLE-SDK-12-SP1-2017-866
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ghostscript >= 9.15-22.1
  • ghostscript-devel >= 9.15-22.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-659
SUSE-SLE-SDK-12-SP2-2017-866
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ghostscript-devel >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ghostscript-devel
SUSE Linux Enterprise for SAP 12
  • ghostscript >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE-SLE-SAP-12-2017-866
SUSE OpenStack Cloud 5
  • ghostscript-fonts-other >= 8.62-32.46.1
  • ghostscript-fonts-rus >= 8.62-32.46.1
  • ghostscript-fonts-std >= 8.62-32.46.1
  • ghostscript-library >= 8.62-32.46.1
  • ghostscript-omni >= 8.62-32.46.1
  • ghostscript-x11 >= 8.62-32.46.1
  • libgimpprint >= 4.2.7-32.46.1
Patchnames:
sleclo50sp3-ghostscript-library-13109
openSUSE Leap 42.1
  • ghostscript >= 9.15-17.1
  • ghostscript-debuginfo >= 9.15-17.1
  • ghostscript-debugsource >= 9.15-17.1
  • ghostscript-devel >= 9.15-17.1
  • ghostscript-mini >= 9.15-17.1
  • ghostscript-mini-debuginfo >= 9.15-17.1
  • ghostscript-mini-debugsource >= 9.15-17.1
  • ghostscript-mini-devel >= 9.15-17.1
  • ghostscript-x11 >= 9.15-17.1
  • ghostscript-x11-debuginfo >= 9.15-17.1
Patchnames:
openSUSE-2017-558
openSUSE Leap 42.2
  • ghostscript >= 9.15-11.3.1
  • ghostscript-debuginfo >= 9.15-11.3.1
  • ghostscript-debugsource >= 9.15-11.3.1
  • ghostscript-devel >= 9.15-11.3.1
  • ghostscript-mini >= 9.15-11.3.1
  • ghostscript-mini-debuginfo >= 9.15-11.3.1
  • ghostscript-mini-debugsource >= 9.15-11.3.1
  • ghostscript-mini-devel >= 9.15-11.3.1
  • ghostscript-x11 >= 9.15-11.3.1
  • ghostscript-x11-debuginfo >= 9.15-11.3.1
Patchnames:
openSUSE-2017-558
openSUSE Leap 42.3
  • ghostscript >= 9.15-13.14
  • ghostscript-devel >= 9.15-13.14
  • ghostscript-x11 >= 9.15-13.14
Patchnames:
openSUSE Leap 42.3 GA ghostscript


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 ghostscript Released
SUSE Linux Enterprise Desktop 12 SP2 ghostscript Released
SUSE Linux Enterprise SDK 11 SP4 ghostscript-library Released
SUSE Linux Enterprise SDK 12 SP1 ghostscript Released
SUSE Linux Enterprise SDK 12 SP2 ghostscript Released
SUSE Linux Enterprise Server 11 SP3 LTSS ghostscript-library Released
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Server 12 GA LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP1 ghostscript Released
SUSE Linux Enterprise Server 12 SP2 ghostscript Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI ghostscript Released